using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;
using TinyEngine.Core.Services;
using TinyEngine.Core;
using TinyEngine.Core.Entities;
using TinyEngine.Entities;


namespace WindowsGame1
{

    public class Game1 : TinyEngine.Core.TinyGame
    {
        public Game1()
        {
            var asm = ServiceManager.GetService<AssemblyService>();
            asm.RegisterAssembly(typeof(SpriteEntity).Assembly);
        }

        public override void InitializationComplete()
        {
            var sceneManager = ServiceManager.GetService<SceneManager>();
            sceneManager.Load("Content/Data/Scenes/SceneData.scene", sceneManager.ActiveGameScene);
        }
    }
}
