﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using Microsoft.Win32;
using TinyEngine.Core.Services;
using System.IO;
using System.Windows.Data;
using TinyEngine.Core.Entities;
using TinyEngine.Editor.Extensibility;

namespace TinyEngine.Editor.DefaultPlugins.TileEditor
{
    class TileEditorPlugin : IPlugin
    {
        public void Initialize()
        {
            EditorSession.RegisterTypeEditor(typeof(TileGridEntity), typeof(TileEditor));
        }

        void LaunchEditor(object sender, System.Windows.RoutedEventArgs e)
        {
            EditorSession.LaunchDialogWindow(new TileEditor());
        }


        public CreateUserControlResponde CreateInEditorControl()
        {
            return null;
        }
    }
}
