﻿using Microsoft.Xna.Framework.Graphics;

namespace TinyEngine.Core.Asset
{
    public class FontAsset : TinyAsset<SpriteFont>
    {
        public FontAsset(string name, string location) : base(name, location)
        {

        }

        internal void Load()
        {
            var content = Services.ServiceManager.GetService<Services.ContentManagerService>();
            this.Asset = content.Content.Load<SpriteFont>(this.Location);
        }
    }
}
