﻿
using TinyEngine.Core.Scene;
namespace TinyEngine.Core.Components
{
    public interface ITinyComponent
    {
        IEntity Owner { get; }
        void Update(float elapsed);
        void Register();
    }

    public interface ITinySceneComponent
    {
        TinyScene Owner { get; }
        void Update(float elapsed);
        void Register();
    }

    
}
