using TinyEngine.Core.Services;
using TinyEngine.Core;
using System;
using TinyEngine.Core.Entities;

namespace EmptyGameSample
{
    public class Game1 : TinyEngine.Core.TinyGame
    {
        public Game1()
        {
            var asm = ServiceManager.GetService<AssemblyService>();
            asm.RegisterAssembly(typeof(TinyEngine.Core.Entities.SpriteEntity).Assembly);
        }

        public override void InitializationComplete()
        {
            var sceneManager = ServiceManager.GetService<SceneManager>();
            sceneManager.Load("Content/Data/Scenes/SceneData.scene", sceneManager.ActiveGameScene);
        }
    }
}
