﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace TinyEngine.Core.Camera
{
    public interface ICamera
    {
        void Update(float elapsed);

        string Name { get; set; }
        
        Vector3 Position { get; set; }
        
        Matrix Transform { get; set; }
        
        Point ViewPortSize { get; set; }
        
        void Move(float x, int y);
    }
}
