﻿using Microsoft.Xna.Framework;

namespace TinyEngine.Core.Entities
{
    public interface IRenderable
    {
        void Draw(float elapsed);
        Vector2 Origin { get; set; }
        bool Visible { get; set; }
    }
    
    public interface IDebugRenderable
    {
        void DrawDebug(float elapsed);
        Vector2 Origin { get; set; }
    }
}
