﻿using Microsoft.Xna.Framework.Graphics;
using TinyEngine.Core.Services;

namespace TinyEngine.Core.Renderer
{
    public class SpriteBatchService : Services.ITinyService
    {
        SpriteBatch spriteBatch;

        public SpriteBatch Batch
        {
            get { return spriteBatch; }
        }

        public void Register()
        {
            var device = Services.ServiceManager.GetService<TinyGameEngine>().Device;
            spriteBatch = new SpriteBatch(device);
        }

        public void UnRegister()
        {
            
        }
    }
}
